org.apache.commons.math.estimation

## Interface Estimator

- All Known Implementing Classes:
    AbstractEstimator, GaussNewtonEstimator, LevenbergMarquardtEstimator

  Deprecated.
  as of 2.0, everything in package org.apache.commons.math.estimation has been deprecated and replaced by package org.apache.commons.math.optimization.general

      @Deprecated
      public interface Estimator

  This interface represents solvers for estimation problems.

  The classes which are devoted to solve estimation problems should implement this interface. The problems which can be handled should implement the `EstimationProblem` interface which gather all the information needed by the solver.

  The interface is composed only of the `estimate` method.

  Since:
    1.2
  Version:
    $Revision: 811786 $ $Date: 2009-09-06 11:36:08 +0200 (dim. 06 sept. 2009) $
  See Also:
    `EstimationProblem`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `estimate(EstimationProblem problem)` Deprecated. Solve an estimation problem.
    `double[][]` | `getCovariances(EstimationProblem problem)` Deprecated. Get the covariance matrix of estimated parameters.
    `double` | `getRMS(EstimationProblem problem)` Deprecated. Get the Root Mean Square value.
    `double[]` | `guessParametersErrors(EstimationProblem problem)` Deprecated. Guess the errors in estimated parameters.

- - ### Method Detail

    - #### estimate

          void estimate(EstimationProblem problem)
                        throws EstimationException

      Deprecated.
      Solve an estimation problem.

      The method should set the parameters of the problem to several trial values until it reaches convergence. If this method returns normally (i.e. without throwing an exception), then the best estimate of the parameters can be retrieved from the problem itself, through the `EstimationProblem.getAllParameters` method.

      Parameters:
        `problem` - estimation problem to solve
      Throws:
        `EstimationException` - if the problem cannot be solved

    - #### getRMS

          double getRMS(EstimationProblem problem)

      Deprecated.
      Get the Root Mean Square value. Get the Root Mean Square value, i.e. the root of the arithmetic mean of the square of all weighted residuals. This is related to the criterion that is minimized by the estimator as follows: if c is the criterion, and n is the number of measurements, then the RMS is sqrt (c/n).
      Parameters:
        `problem` - estimation problem
      Returns:
        RMS value
      See Also:
        `guessParametersErrors(EstimationProblem)`

    - #### getCovariances

          double[][] getCovariances(EstimationProblem problem)
                                    throws EstimationException

      Deprecated.
      Get the covariance matrix of estimated parameters.
      Parameters:
        `problem` - estimation problem
      Returns:
        covariance matrix
      Throws:
        `EstimationException` - if the covariance matrix cannot be computed (singular problem)

    - #### guessParametersErrors

          double[] guessParametersErrors(EstimationProblem problem)
                                         throws EstimationException

      Deprecated.
      Guess the errors in estimated parameters.
      Parameters:
        `problem` - estimation problem
      Returns:
        errors in estimated parameters
      Throws:
        `EstimationException` - if the error cannot be guessed
      See Also:
        `getRMS(EstimationProblem)`

Copyright (c) 2003-2013 Apache Software Foundation